package com.tencent.mm.plugin.appbrand.dynamic.d.a;

import android.os.Bundle;
import com.tencent.mm.z.b.b$a;
import org.json.JSONObject;

public abstract class a extends com.tencent.mm.z.b.a {
    public abstract void a(com.tencent.mm.z.c.a aVar, JSONObject jSONObject, b$a<JSONObject> b_a);

    public a(String str, int i) {
        super(str, i);
    }

    /* Access modifiers changed, original: protected */
    public void a(com.tencent.mm.z.c.a aVar, JSONObject jSONObject, Bundle bundle, b$a<JSONObject> b_a) {
        a(aVar, jSONObject, (b$a) b_a);
    }
}
